Currently maintained by:
   Sullivan Beck (sbeck@cpan.org)
Any suggestions, bug reports, or donations :-) should be sent to me.

This document is automatically generated from the document:
   Locale::Codes::Changes
and that document should be considered the canonical source of change
related information.

3.70  2022-03-02  sbeck
  -  NEW CODE(s)

3.69  2021-12-01  sbeck
  -  NEW CODE(s)

3.68  2021-09-02  sbeck
  -  NEW CODE(s)
         NOTE: no code changes on 2021-06-01 so no release made at that
         time.

  -  Added code2names
         Also code2countrys, code2languages, etc. This allows you to see all
         names and aliases that correspond to a code. My apologies for
         making 'countrys' to be the plural of 'country', but because these
         modules are all generated from a template, I didn't want to put in
         an exception for the strange pluralization.

         Prompted by David Cantrell.

3.67  2021-03-01  sbeck
  -  NEW CODE(s)

3.66  2020-12-01  sbeck
  -  NEW CODE(s)

3.65  2020-09-01  sbeck
  -  NEW CODE(s)

3.64  2020-06-02  sbeck
  -  NEW CODE(s)
  -  Fixed bug deleting retired codes
         The delete_code function failed if you tried to delete a retired
         code. This is now fixed. GitHub #12

3.63  2020-03-01  sbeck
  -  NEW CODE(s)
         NOTE: no code changes on 2019-12-01 so no release made at that
         time.

  -  Fixed a retired code

3.62  2019-08-29  sbeck
  -  NEW CODE(s)
  -  Fixed tests
        Tests were not working correctly since the previous version. This is
        now fixed.

  -  Fixed error messages
        Many of the error messages were inconsistent or completely wrong
        (due to cut-and-paste errors). They have been fixed.

  -  Fixed some return codes
        The name2code and code2name functions returned 1 in the case of an
        error in some situations instead of undef (which was the documented
        value).

  -  Removed unnecessary dependencies
        A number of modules were included as test dependencies that are only
        used by the author when preparing releases. These have been removed
        as dependencies. Petr Pisar on GitHub #11

3.61  2019-06-01  sbeck
  -  NEW CODE(s)
  -  Converted tests to use Test::Inter
        Now uses the same module to do tests as all my other modules.

3.60  2019-03-01  sbeck
  -  NEW CODE(s)

3.59  2018-12-03  sbeck
  -  NEW CODE(s)
  -  Removed travis file from the tarball
        The tarball had a .travis.yml file in it that wasn't in the MANIFEST
        file. Since the MANIFEST file is automatically generated by the perl
        mkmanifest tool, since it didn't see the .travis.yml file, I have
        excluded it from the tarball. Reported by Mohammad S Anwar on GitHub
        (#10)

3.58  2018-09-01  sbeck
  -  NEW CODE(s)
  -  (*) Locale-Codes removed from core
        Locale-Codes will no longer be distributed in new versions of perl.

  -  Documentation fix
        Fixed an incorrect link reported by Mohammad S Anwar on GitHub (#9)

3.57  2018-06-01  sbeck
  -  NEW CODE(s)

3.56  2018-03-01  sbeck
  -  NEW CODE(s)

3.55  2017-11-17  sbeck
  -  NEW CODE(s)

  -  (*) Deprecated in core
        Because correct usage of any of the Locale::Codes modules requires
        that they be kept up-to-date, I have long felt that it should not be
        distributed as a core module. After discussion on the perl5-porters
        list, it is agreed, and the deprecation process has been started.
        Starting with perl 5.28.0, Locale-Codes will be flagged as
        deprecated, and it will be removed in version 5.30.0 .

        Thanks to p5p-porters (especially Dagfinn Ilmari Mannsaker) for
        discussion and guidance.

  -  Changes from a github pull request applied
        A couple minor changes (updated .travis.yml to include newest
        versions of perl; and a couple changes to pod_coverage.t) reported
        by lancew on GitHub.

  -  Got rid of Build.PL
        Simplified things by only supporting one of Makefile.PL/Build.PL
        (and the latter has been removed from perl core some time ago). RT
        123572

  -  Fixed INSTALLDIRS
        The behavior of installing core modules changed in 5.12 a bit, and
        Makefile.PL now reflects that. RT 123571

3.54  2017-09-01  sbeck
  -  NEW CODE(s)

3.53  2017-07-25  sbeck
  -  NEW CODE(s)

  -  Fixed the default error condition in legacy modules.
        With the addition of the OO module, better error handling was added
        (and it was on by default). The non-OO (legacy) modules did not
        report errors, so code that uses them, would now behave differently
        if invalid data were passed in.

        I have turned off error handling by default in the legacy modules.
        The show_errors method was added to each of the non-OO modules to
        report errors if desired.

        Reported by dmaestro on GitHub.

3.52  2017-06-01  sbeck
  -  NEW CODE(s)

3.51  2017-04-10  sbeck
  -  NEW CODE(s)

  -  Tests no longer require (.) in INC
        As of perl 5.25.11, (.) is being removed from INC. I had to adjust
        the tests accordingly.

3.50  2017-03-01  sbeck
  -  NEW CODE(s)

  -  (*) Rewrote as OO module
        The core module (Locale::Codes) is now an OO module that can be used
        directly. All of the other modules (Locale::Codes::TYPE) are still
        the older functional interfaces and remain unchanged.

  -  Added some constants
        Historically, the constant names used to identify the codesets have
        been named inconsistently. The original constants for codesets are:

           Type      Constants

           country   LOCALE_CODE_*
           currency  LOCALE_CURR_*
           language  LOCALE_LANG_*

           script    LOCALE_SCRIPT_*
           langfam   LOCALE_LANGFAM_*
           langvar   LOCALE_LANGVAR_*
           langext   LOCALE_LANGEXT_*

        For consistencies sake, I have added some new codes (which are
        otherwise identical to the irregularly named codes):

           country   LOCALE_COUNTRY_*
           currency  LOCALE_CURRENCY_*
           language  LOCALE_LANGUAGE_*

        Going forward, all constants will include the full name of the code
        type.

  -  Non-OO modules are now generated
        All non-OO modules are now automatically generated. This will make
        it easier to keep them 100% consistent as well as making it easier
        to add new types of code sets.

        All of the documentation for them is also generated except for the
        description of the code sets. That has been moved into the
        Locale::Codes::Types document.

  -  Fixed a bug where constants were not exported
        Some of the constants for some of the newer code sets were not
        exported properly. This was fixed when I started generating the
        non-OO modules, but was reported (after I had already fixed it in
        development) as RT 119741 .

3.42  2016-11-30  sbeck
  -  Added Czech republic aliases back in
        Common Czech republic aliases disappeared from the standards, so I
        added them back in. Rob Emery

3.41  2016-11-18  sbeck
  -  NEW CODE(s)
        Jiri Bohac noted that they were needed so this was release a couple
        weeks earlier than planned.

3.40  2016-09-01  sbeck
  -  NEW CODE(s)

3.39  2016-05-31  sbeck
  -  Added UN codes back in
        The UN codes have been added back in as their own list of codes.
        Jarkko Hietaniemi

  -  Added GENC codes
        The GENC codes have been added. These are the new US Government
        codes that replace the FIPS-10 codes. They are based on, but not
        identical to the ISO 3166 codes.

3.38  2016-03-02  sbeck
  -  NEW CODE(s)

  -  Tests reworked
        Improved test suite (and made some changes to Codes.pm) based on
        Devel::Cover. Test suite now has 100% coverage.

3.37  2015-12-01  sbeck
  -  NEW CODE(s)

3.36  2015-09-01  sbeck
  -  NEW CODE(s)

  -  (!) Removed alias_code function
        The alias_code function was preserved for backward compatibility,
        but has been deprecated since 3.20. It has been removed.

3.35  2015-06-01  sbeck
  -  NEW CODE(s)

  -  Documentation improvements
        Many changes to the formatting in the documentation to improve it.
        Suggested by Pete Houston.

3.34  2015-03-01  sbeck
  -  NEW CODE(s)

3.33  2014-12-01  sbeck
  -  NEW CODE(s)

  -  Filled out LOCALE_LANG_TERM codeset
        The terminologic language codes only included codes from languages
        where the ISO specified both a bibliographic code and a terminologic
        code. If both are not specified, the better solution was to use the
        code for both code sets. Prompted by a suggestion by Jarkko
        Hietaniemi.

  -  Moved repository to GitHub
        Suggested by Gabor Szabo.

3.32  2014-09-01  sbeck
  -  NEW CODE(s)

3.31  2014-06-01  sbeck
  -  NEW CODE(s)

  -  Bug fixes
        Fixed a bug in the scripts used to extract data from spreadsheets
        that prevented the SHP currency code from being found. RT 94229

3.30  2014-03-04  sbeck
  -  NEW CODE(s)

  -  alias_code remove date set
        The alias_code function exists for backward compatibility. It has
        been deprecated since version 3.20 when it was replaced by
        rename_country_code. The alias_code function will be removed in the
        December 2014 release.

  -  Bug fixes
        Fixed a problem that was preventing rename_* functions to not work.
        RT 92680.

3.29  2014-01-27  sbeck
  -  NEW CODE(s)

  -  ISO 3166 country codes improved
        ISO 3166 is now browsable online (previously, only the alpha-2 codes
        were) and it contains more accurate information than the previous
        sources, so I've switched to using the full standard. In response to
        RT 92303 which reported some codes being 'retired' that should not
        have been.

  -  Bug fixes
        Fixed the pod test files so that pod tests won't get run at install
        time. In response to RT 91167.

3.28  2013-12-02  sbeck
  -  NEW CODE(s)

3.27  2013-09-03  sbeck
  -  NEW CODE(s)

  -  * FIPS-10 country codes removed
        As of June, the FIPS codes are not being published in their
        entirety. Only changes to the codes are published. This adds a huge
        layer of complexity to maintaining the set, which is not worth doing
        considering that the set is deprecated. As such, the code set is no
        longer supported.

3.26  2013-06-03  sbeck
  -  Documentation fixes
        Some of the examples were not correct. RT 84589

        Some typos corrected. RT 85692

3.25  2013-03-01  sbeck
  -  NEW CODE(s)

3.24  2012-12-03  sbeck
  -  NEW CODE(s)

  -  Syria alias
        Syria added as an alias. RT 82747

  -  FIPS-10 country codes deprecated
        The FIPS-10 document is being withdrawn. It was deprecated in 2008,
        and is being updated now only until all the agencies that use it
        have switched to something else. The current version no longer lists
        the long names for countries. These long names (such as 'Republic of
        Albania' for Albania) only appeared in the old FIPS-10 document
        which is no longer available, so they are no longer available in
        this module.

        I will continue to support the FIPS-10 codeset as long as it is
        available, but at that point, it will be withdrawn immediately. If
        an official end-of-life date is announced, I will include a notice
        here. Otherwise, support for the codeset will be discontinued when
        the document is withdrawn.

        You are encouraged to no longer use the FIPS-10 codeset.

  -  Domain country codes now come from ISO 3166
        The IANA domain codes have changed slightly. The IANA no longer
        publishes a list of countries associated with their codes. Instead,
        they use the ISO 3166 codes and country names. However, they support
        a few non-standard codes, so I will continue to maintain this
        codeset. The domain codes are now lowercase to correspond to the ISO
        3166 codes.

3.23  2012-09-01  sbeck
  -  NEW CODE(s)

3.22  2012-06-01  sbeck
  -  NEW CODE(s)

  -  Updated perl version required
        Changed 'require 5.002' (which dated back to the version 2.xx
        Locale-Codes) to 'require 5.006'. Some features used in Locale-Codes
        are not supported that far back. Nicholas Clark

  -  Sorted deprecated codes
        The codes in the generated deprecated codes modules were not sorted
        making version diffs bigger than they should be. Nicholas Clark

3.21  2012-03-01  sbeck
  -  NEW CODE(s)

3.20  2011-12-01  sbeck
  -  NEW CODE(s)

  -  Added limited support for deprecated codes
        The code2XXX, XXX2code, all_XXX_codes, and all_XXX_names functions
        now support retired codes. RT 71124

  -  Fixed capitalization
        The 'South Sudan' country was all caps. RT 71024

  -  Pod tests off by default
        The pod tests will not run at install time. RT 71122

  -  Codesets may be specified by name
        All codesets may be specified by a constant or by their name now.
        Previously, they were specified only by a constant.

  -  alias_code deprecated
        The alias_code function exists for backward compatibility. It has
        been replaced by rename_country_code . The alias_code function will
        be removed sometime after September, 2013 .

  -  Code cleanup
        All work is now done in the central module (Locale::Codes).
        Previously, some was still done in the wrapper modules
        (Locale::Codes::*) but that is gone now.

  -  Added LangFam module
        Added Language Family codes (langfam) as defined in ISO 639-5.

3.18  2011-08-31  sbeck
  -  NEW CODE(s)

  -  No longer use CIA data
        The CIA world added non-standard values, so I no longer use it as a
        source of data. Based on a report by Michiel Beijen.

3.17  2011-06-28  sbeck
  -  NEW CODE(s)

  -  Added new types of codes
        Added Language Extension codes (langext) and Language Variation
        codes (langvar) as defined in the IANA language registry.

  -  Added new codeset(s)
        Added language codes from ISO 639-5

        Added language/script codes from the IANA language subtag registry

  -  Bug fixes
        Fixed an uninitialized value warning. RT 67438

        Fixed the return value for the all_XXX_codes and all_XXX_names
        functions. RT 69100

  -  Reorganized code
        Reorganized modules to move Locale::MODULE to Locale::Codes::MODULE
        to allow for cleaner future additions. The original four modules
        (Locale::Language, Locale::Currency, Locale::Country,
        Locale::Script) will continue to work, but all new sets of codes
        will be added in the Locale::Codes namespace.

3.16  2011-03-01  sbeck
  -  NEW CODE(s)

3.15  2010-12-02  sbeck
  -  NEW CODE(s)

  -  Minor fixes
        Added version number to Makefile.PL/Build.PL requirement for POD
        testing modules. RT 62247

        Changed 'use vars' to 'our'

3.14  2010-09-28  sbeck
  -  NEW CODE(s)

  -  Bug fixes
        Stripped out some HTML that got included with some codes.

3.13  2010-06-04  sbeck
  -  NEW CODE(s)

3.12  2010-04-06  sbeck
  -  NEW CODE(s)

  -  Reorganized code
        Renamed test.pl to testfunc.pl to avoid causing an error when built
        as part of perl.

3.11  2010-03-01  sbeck
  -  NEW CODE(s)

  -  Added new codeset(s)
        Added the IANA domain names to Country

  -  Bug fixes
        Fixed a problem that produced warnings with perl 5.11.5. Jerry D.
        Hedden

3.10  2010-02-18  sbeck
  -  NEW CODE(s)

  -  Reorganized code
        Moved support files into the Locale::Codes namespace.

        The work done in each of the Locale::XXX modules was virtually
        identical to each other. It has all been moved to a central module
        and the Locale::XXX modules are now just wrappers.

  -  (!) Changed XXX_code2code behavior slightly
        In previous versions, passing in the same code set for both code set
        arguments would automatically return undef. For example:

           country_code2code('bo',LOCALE_CODE_ALPHA_2,LOCALE_CODE_ALPHA_2);
              => undef

        This doesn't seem like reasonable behavior, so it has been changed
        to allow the same code set:

           country_code2code('bo',LOCALE_CODE_ALPHA_2,LOCALE_CODE_ALPHA_2);
              => 'bo'

        Note that if an invalid code is passed in, undef will still be
        returned:

           country_code2code('bol',LOCALE_CODE_ALPHA_2,LOCALE_CODE_ALPHA_2);
              => undef

  -  Added many semi-private routines
        Previous versions had only two semi-private routines: rename_country
        and alias_code which had the ability to modify the internal data in
        a couple of very limited ways. It was requested (in an anonymous
        posting by someone named Steve and also by Steve Hay - unknown if
        they are the same person or two different Steves) that better
        support for modifying internal data, so a full set of routines were
        added.

        The full set of routines includes:

           rename_country
           rename_language
           rename_currency
           rename_script

           add_country
           add_language
           add_currency
           add_script

           delete_country
           delete_language
           delete_currency
           delete_script

           add_country_alias
           add_language_alias
           add_currency_alias
           add_script_alias

           delete_country_alias
           delete_language_alias
           delete_currency_alias
           delete_script_alias

           rename_country_code
           rename_language_code
           rename_currency_code
           rename_script_code

           add_country_code_alias
           add_language_code_alias
           add_currency_code_alias
           add_script_code_alias

           delete_country_code_alias
           delete_language_code_alias
           delete_currency_code_alias
           delete_script_code_alias

  -  New aliases
        Added "UK" alias. Steve Hay

3.01  2010-02-15  sbeck
  -  Fixed Makefile.PL and Build.PL
        They now install as core modules as they are supposed to. Reported
        in RT 54526

3.00  2010-02-10  sbeck
  -  NEW CODE(s)
  -  (*) New maintainer
        From 1997 to 2004, Locale::Codes was maintained by Neil Bowers.
        Unfortunately, no updates were made from June 2004 to January 2010.
        During that time, a number of changes were made to the standards, so
        the data included was out-of-date.

        I contacted Neil to get his permission to assume maintenance of the
        module, and he kindly agreed.

  -  (*) (!) All codes are generated from standards
        All of the values returned by the various functions are now values
        directly from the standards. This means that the values returned in
        the 2.xx series are not necessarily the same as the values returned
        here.

        As an example, the ISO 3166 standard which lists country codes
        refers to the country associated with the code "bo" as "Bolivia,
        Plurinational State of", so that is what is returned. In the 2.xx
        series, "Bolivia" was returned. Also, the country names vary from
        one standard to another. So the code "bol" which is maintained by
        the United Nations returns the name of the country as "Bolivia
        (Plurinational State of)". Some common aliases have been added, so
        you can still request a code associated with a county name
        "Bolivia".

        Since the data comes from the standards, some "incorrect" values are
        no longer supported. For example, 2.07 treated "Zaire" as an alias
        for "Congo", but the country changed it's name, and "Zaire" is not
        in the standard, so it has been dropped in 3.00.

  -  Added new codeset(s)
        FIPS 10 country codes (requested in RT 1755)

        Alpha-3 and Term language codes (requested in RT 11730)

        Numeric currency codes (requested in RT 18797)

  -  (*) (!) Locale::Script changed
        In 2.xx, Locale::Script assigned scripts to country codes, which is
        NOT how it is done currently in the standards. It appears that an
        older version of ISO 15924 did this, but I haven't found an old
        version to confirm that, and in any case, that is not the case in
        the current standards.

        As a result, the Locale::Script module is completely incompatible
        with the 2.xx version with respect to the types of codes it
        supports. None of the old codes will work.

  -  Added missing functions
        I've added in some functions which were "missing" previously (since
        there was only one set of codes supported, the code2code functions
        didn't apply):

           language_code2code
           currency_code2code

        so the interfaces for each type of codes are consistent.

  -  (!) Dropped support for _alias_code
        In Locale::Country, _alias_code was an allowed, but deprecated
        function which was documented to be supported in the 2.xx series.
        I've removed it.

  -  (!) All functions return the standard value
        code2country (and other equivalent functions) now returns the name
        of the country specified in the standard (if the different standards
        refer to the country by different variations in the name, the
        results will differ based on the CODESET)

  -  (!) rename_country function altered
        The rename_country function from 2.07 would guess the CODESET
        (unlike all other functions which used a default of
        LOCALE_CODE_ALPHA_2). The guess can cause problems since (with the
        addition of FIPS) codes may appear in different codesets for
        different countries. The behavior has been changed to be the same as
        other functions (default to LOCALE_CODE_ALPHA_2).

2.07  2004-06-10  neilb
        Made $_ local in the initialization code for each module change
        back-propagated from Perl distribution

        Removed two non ISO-8859-1 characters from language names change
        back-propagated from Perl distribution

        Added the following aliases, with a test case for each - Burma added
        to Myanmar - French Southern and Antarctic Lands to French Southern
        Territories patch from TJ Mather

        "Canadian Dollar" was misspelled as "Candian Dollar" - noted by Nick
        Cabatoff, patch from Michael Hennecke

        Changes to Locale::Country reflecting changes in ISO 3166 - added
        Aland Islands (ax, ala, 248) - YUGOSLAVIA is now SERBIA AND
        MONTENEGRO YU => CS YUG => SCG 891 => 891 (unchanged) (YUGOSLAVIA
        retained as an alias) - EAST TIMOR changed to TIMOR-LESTE (old name
        retained as an alias) - three letter code for Romania changed from
        ROM to ROU

        ZAIRE is now CONGO, THE DEMOCRATIC REPUBLIC OF THE ZR => CD ZAR =>
        COD 180 => 180 (unchanged) (ZAIRE retained as alias)

2.06  2002-07-15  neilb
        The four modules which have data after __DATA__ weren't closing the
        DATA filehandle after reading from it, which they should. Bug and
        patch from Steve Hay.

2.05  2002-07-08  neilb
        Added three letter codes for the countries that were missing them.
        Patch from TJ Mather.

        Documentation bug: one of the examples used => where the lvalue was
        a constant, which isn't allowed, unless you put the () with the
        constant to force the right interpretation. Pointed out by TJ Mather
        and MYT.

        Updated the URL for the appendix in the CIA world factbook. Patch
        from TJ Mather.

2.04  2002-05-23  neilb
        Updated according to changes in ISO 3166-1 described in ISO 3166-1
        newsletters V-4 and V-5, dated 2002-05-20: - Kazakstan is now
        "Kazakhstan" - Macau is now "Macao" The old names are retained as
        aliases.

        The alpha-2 and alpha-3 codes for East Timor have changed: tp -> tl
        tmp -> tls the numeric code stays 626. If you want to support the
        old codes, you can use the semi-private function alias_code().

2.03  2002-03-24  neilb
        Fixed a typo in the alias for the Vatican, reported (with patch) by
        Philip Newton.

        Added "Moldova" as an alias for "Moldova, Republic of"

        Updated Makefile.PL to include AUTHOR and ABSTRACT

2.02  2002-03-09  neilb
        Added semi-private routine rename_country() to Locale::Country,
        based on a patch from Iain Chalmers.

        Added test rename.t for the above function.

        Renamed _alias_code to be alias_code. Have retained the old name for
        backwards compatibility. Will remove it when the major version
        number next changes.

2.01  2002-02-18  neilb
        Split the documentation for all modules into separate pod files.

        Made sure all =over were =over 4; some were other values.

        The code2code() methods had one more shift than was needed.

2.00  2002-02-17  neilb
        Created Locale::Script which provides an interface to the ISO codes
        for identification of scripts (writing scripts, rather than perl
        style scripts). The codes are defined by ISO 15924, which is
        currently in final draft. Thanks to Jarkko for pointing out this new
        standard. All three code sets are supported, and a test-suite added.

        Added support for country name variants to Locale::Country, so that
        country2code('USA') country2code('United States')
        country2code('United States of America') will all return 'us'. This
        had been in the LIMITATIONS section since the first version. Patch
        from TJ Mather with additional variants from me. Added test-cases
        for these.

        Added VERSION to Locale::Constants. Thanks to Jarkko for pointing
        that it was missing.

        Should really have bumped major version with previous release, since
        there was a change to the API.

1.06  2001-03-04  neilb
        Added Locale::Constants, which defines three symbols for identifying
        which codeset is being used:

           LOCALE_CODE_ALPHA_2
           LOCALE_CODE_ALPHA_3
           LOCALE_CODE_NUMERIC

        Updated Locale::Country to support all three code sets defined by
        ISO 3166. This was requested by Keith Wall. I haven't added multiple
        codeset support to the other modules yet - I'll wait until someone
        asks for them.

1.05  2001-02-13  neilb
        Added Locale::Currency, contribution from Michael Hennecke.

        Added test suite for it (t/currency.t) and added test cases to
        t/all.t for the all_* functions.

1.04  2000-12-21  neilb
        Fixed very minor typos from 1.03!

1.03  2000-12-??  neilb
        Updated Locale::Country: - fixed spelling of a few countries - added
        link to a relevant page from CIA world factbook

        Updated Locale::Language: - fixed typo in the documentation (ISO 939
        should be 639)

1.02  2000-05-04  neilb
        Updated Locale::Country and Locale::Language to reflect changes in
        the relevant ISO standards. These mainly reflect languages which are
        new to the relevant standard, and changes in the spelling of some
        country names.

        Added official URLs for the standards to the SEE ALSO sections of
        the doc for each module.

        Thanks to Jarkko Hietaniemi for pointing me at the pages with latest
        versions of ISO 3166 and 639.

1.00  1998-03-09  neilb
        Added Locale::Country::_alias_code() so that 'uk' can be added as
        the code for "United Kingdom", if you want it. This was prompted by
        Ed Jordan.

        Added a new test suite for handling this case, and extended the
        existing test-suite to include testing of the case where 'uk' hasn't
        been defined as a valid code.

0.003  1997-05-09  neilb
        First public release to CPAN

